Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3AutoFlushEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractFlushingEventListener
          org.hibernate.event.def.DefaultAutoFlushEventListener
              org.hibernate.ejb.event.EJB3AutoFlushEventListener

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.event.AutoFlushEventListener

    public class EJB3AutoFlushEventListener

extends org.hibernate.event.def.DefaultAutoFlushEventListener

In EJB3, it is the create operation that is cascaded to unmanaged ebtities at flush time (instead of the save-update operation in Hibernate).

Author:
  Gavin King
See Also:
  Serialized Form

Field Summary
`static org.hibernate.event.AutoFlushEventListener` | `INSTANCE`

Constructor Summary
`EJB3AutoFlushEventListener()`

Method Summary
`protected java.lang.Object` | `getAnything()`
`protected org.hibernate.engine.CascadingAction` | `getCascadingAction()`

Methods inherited from class org.hibernate.event.def.DefaultAutoFlushEventListener
`onAutoFlush`

Methods inherited from class org.hibernate.event.def.AbstractFlushingEventListener
`flushEverythingToExecutions, performExecutions, postFlush`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final org.hibernate.event.AutoFlushEventListener INSTANCE

Constructor Detail

### EJB3AutoFlushEventListener

    public EJB3AutoFlushEventListener()

Method Detail

### getCascadingAction

    protected org.hibernate.engine.CascadingAction getCascadingAction()

  Overrides:
    `getCascadingAction` in class `org.hibernate.event.def.AbstractFlushingEventListener`

### getAnything

    protected java.lang.Object getAnything()

  Overrides:
    `getAnything` in class `org.hibernate.event.def.AbstractFlushingEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD